For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETGetrequirement
      • POSTSubmitanswers
    • API Errors
Get access
LogoLogo
API ReferenceRequirements

Getrequirement

GET
/public/requirements/:requirement_id
GET
/public/requirements/:requirement_id
$curl https://test.api.kota.io/public/requirements/requirement_id \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "schema": {
3 "title": "UserRegistrationRequirement",
4 "type": "object",
5 "properties": {
6 "userId": {
7 "type": "string",
8 "format": "uuid",
9 "description": "The unique identifier of the user"
10 },
11 "emailVerified": {
12 "type": "boolean",
13 "description": "Indicates if the user's email has been verified"
14 },
15 "termsAccepted": {
16 "type": "boolean",
17 "description": "Indicates if the user has accepted the terms and conditions"
18 }
19 },
20 "required": [
21 "userId",
22 "emailVerified",
23 "termsAccepted"
24 ]
25 }
26}
Get the schema and current state for a pending requirement.
Previous

Get Embedded SDK token

Next

Submitanswers

Built with

Path parameters

requirement_idstringRequiredformat: "^ar_[0-9a-f]{32}$"
a Universally Unique Identifier

Response

Success
schemaany

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error